Bug 484519 - plplot examples do not really work and plplot-test.sh fails
plplot examples do not really work and plplot-test.sh fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plplot (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-07 14:38 EST by Michal Jaegermann
Modified: 2009-12-18 02:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:50:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
an output from running test examples (3.39 KB, text/plain)
2009-02-16 17:12 EST, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2009-02-07 14:38:17 EST
Description of problem:

It all started because I tried to get some plplot support for Octave. There is really no documentation for that ('rpm -qd plplot-octave' comes back empty) so I decided to have a look at examples.

Let's skip such details that 'plplot-test.sh' insists on running from writable directory, does not skip non-existent front end scripts even if that could be trivally tested, and other assorted weirdness.  'plplot-5.9.0-2.svn8752.fc10' package comes with test_python.sh and test_tcl.sh.

Running plplot-test.sh with '--front-end=python' does that for a while to 
terminate the whole run with:

Testing front-end python
PLplot library version: 5.9.0
Traceback (most recent call last):
  File "./python/x20", line 36, in <module>
    import xw20
  File "/usr/share/plplot5.9.0/examples/python/xw20.py", line 291, in <module>
    main()
  File "/usr/share/plplot5.9.0/examples/python/xw20.py", line 219, in main
    plabort("No such file")
NameError: global name 'plabort' is not defined

If you will try '--front-end=tcl' instead then this will end immediately with:
./test_tcl.sh: line 30: cd: ./tcl: No such file or directory
./test_tcl.sh: line 34: pltcl: command not found

/usr/bin/pltcl does show up after an installation of plplot-tk package.  That does not help with /usr/share/plplot5.9.0/examples/tcl/ at all so this is not going very far anyway (and besides test_tcl.sh seems to be even more broken then the rest).

Trying '--front-end=perl', after plplot-perl package was installed and a test directory set accordingly, brings this for a change:

 ./plplot-test.sh --front-end="perl" --output-dir=./perl.out --device=ps
Testing front-end perl
PLplot library version: 5.9.0

*** PLPLOT WARNING ***
plParseOpts: function deprecated. Use plparseopts instead
.... (repeated many times) ....
Assertion ((svtype)((_svi)->sv_flags & 0xff)) >= SVt_RV failed: file "PLplot.xs", line 25192 at ./perl/x16.pl line 186.

Last, but not least, with that octave I really wanted to see.  That ends up immediately in this way:

error: A(idx) = []: index out of range
error: assignment failed, or no method for `string = string'
error: evaluating assignment expression near line 5, column 27

but in octave examples there is plplot_octave_demo.m.  Hopes are immediately dashed out after this:

$ octave -f plplot_octave_demo.m 
GNU Octave, version 3.0.3
....

Press any key to continue...
error: `plplot_stub' undefined near line 29 column 1
error: near line 29 of file `plplot_octave_demo.m'

And that's all folks ....


Version-Release number of selected component (if applicable):
plplot-5.9.0-2.svn8752.fc10

How reproducible:
always
Comment 1 Orion Poplawski 2009-02-13 18:03:18 EST
Some of these are problems with the way plplot expects the tests to be installed and run, other are problems with the current mix of software.

Can you try the packages from here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1125833

but first edit /usr/share/plplot5.9.2/examples/plplot-test.sh and change line 279 to:

      front_end=${front_end_status/:ON/}

(remove the first $).

On my system with plplot, plplot-libs, plplot-tk, plplot-octave I get:

Testing front-end octave
/home/orion/plplottest/..


You are in Locate mode. Click any mouse button or press any key
and the current cursor position will be printed.
Please keep <NumLock> and <CapsLock> off.
Terminate locate mode with the <Enter> key.
Finish the plot with the <Enter> or <ESC> key or the 3d mouse button
Error: No such file
ans = 0
Output file name is ./x31o.psc
Testing front-end python
/usr/share/plplot5.9.2/examples/python/xw19.py:66: DeprecationWarning: PyArray_FromDimsAndDataAndDescr: use PyArray_NewFromDescr.
  plmap(nullmapform,"usaglobe", minx, maxx, miny, maxy)
/usr/share/plplot5.9.2/examples/python/xw19.py:75: DeprecationWarning: PyArray_FromDimsAndDataAndDescr: use PyArray_NewFromDescr.
  plmap(nullmapform, "usaglobe", minx, maxx, miny, maxy)
/usr/share/plplot5.9.2/examples/python/xw19.py:83: DeprecationWarning: PyArray_FromDimsAndDataAndDescr: use PyArray_NewFromDescr.
  plmap(mapform19,"globe", minx, maxx, miny, maxy)
/usr/share/plplot5.9.2/examples/python/xw19.py:86: DeprecationWarning: PyArray_FromDimsAndDataAndDescr: use PyArray_NewFromDescr.
  plmeridians(mapform19,10.0, 10.0, 0.0, 360.0, -10.0, 80.0)
Traceback (most recent call last):
  File "/usr/share/plplot5.9.2/examples/python/x20", line 36, in <module>
    import xw20
  File "/usr/share/plplot5.9.2/examples/python/xw20.py", line 304, in <module>
    main()
  File "/usr/share/plplot5.9.2/examples/python/xw20.py", line 234, in main
    plabort("No such file")
NameError: global name 'plabort' is not defined
Testing front-end tcl
/usr/share/plplot5.9.2/examples/test_tcl.sh: line 34: test.error: Permission denied
cat: test.error: No such file or directory

So, still some work to do, but getting closer....
Comment 2 Michal Jaegermann 2009-02-16 17:12:33 EST
Created attachment 332132 [details]
an output from running test examples

> Can you try the packages from here

In a copy of 'examples' directory, and after an indicated correction, I ended up running the following script:

export ITCL_LIBRARY=/usr/lib/tcl8.5/itcl3.4/

drivers="
python
perl
octave
tcl
"

for d in $drivers ; do
    echo "==== $d"
    mkdir -p ./$d.out
    ./plplot-test.sh --verbose \
        --front-end=$d \
        --output-dir=./$d.out --device=ps
done

That produced for python, perl, octave  and tcl respectively 21, 12, 43, and 34 of Postscript files.  In a spot check results look quite sane.

A screen output is attached.
Comment 3 Bug Zapper 2009-11-18 06:02:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:50:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.